package com.fdkankan.scene.service;

import com.fdkankan.common.response.ResultData;
import com.fdkankan.scene.entity.Folder;
import com.baomidou.mybatisplus.extension.service.IService;
import com.fdkankan.scene.vo.FolderParamVO;
import com.fdkankan.scene.vo.FolderVO;

import java.util.List;
import java.util.Set;
import org.springframework.validation.annotation.Validated;
import org.springframework.web.bind.annotation.RequestBody;

/**
 * <p>
 * 文件夹表 服务类
 * </p>
 *
 * @author dengsixing
 * @since 2021-12-24
 */
public interface IFolderService extends IService<Folder> {

    List<Folder> findByParentId(Long parentId);

    List<Folder> findByParentIdAndName(Long parentId, String folderName, Long userId);

    List<Folder> findByUserIdAndType(Long userId, Integer folderType, String folderName);

    void deleteAllFile(Long id, Set<Long> ids);

    void move(FolderVO folderVO);

    List<FolderVO> convert(List<Folder> list);

    ResultData save(FolderParamVO param);

}
